summaryrefslogtreecommitdiff
path: root/pre-commit.d/20warn-special-file
diff options
context:
space:
mode:
authorJoey Hess <joey@kodama.kitenet.net>2007-11-05 23:45:43 -0500
committerJoey Hess <joey@kodama.kitenet.net>2007-11-05 23:45:43 -0500
commit9b4d973cc3bb5ddee00b1c20ef5f1edec8f9ac3a (patch)
tree8bbc269a7fe7dcbdd0986eb3feabcb5128fe328e /pre-commit.d/20warn-special-file
parent32f6964caeea18aeb8969c9f7e03362151da41e4 (diff)
renumber
Diffstat (limited to 'pre-commit.d/20warn-special-file')
-rwxr-xr-xpre-commit.d/20warn-special-file9
1 files changed, 9 insertions, 0 deletions
diff --git a/pre-commit.d/20warn-special-file b/pre-commit.d/20warn-special-file
new file mode 100755
index 0000000..cb4d019
--- /dev/null
+++ b/pre-commit.d/20warn-special-file
@@ -0,0 +1,9 @@
+#!/bin/sh
+set -e
+special=$(find -not -type d -not -type f -not -type l | grep -v /.git/) || true
+if [ -n "$special" ]; then
+ echo "etckeeper warning: special files could cause problems with git:" >&2
+ echo "$special" >&2
+fi
+
+true